<?php
if( !defined('GOMYMOBI_INIT') ) exit;

// POST requests from visitor
if( $_SERVER['REQUEST_METHOD']=='POST' )
{
	$ajax_return_error = "{\"error\": 1, \"message\": \"%s\"}";
	$ajax_return_success = "{\"success\": 1, \"message\": \"%s\"}";

	// process for POST requests from visitors on homepage

	// process successfully
	if( true )
		die( sprintf($ajax_return_success, __('You should receive our reply within 24 hours.')) );

	// failed to process POST requests
	die( sprintf($ajax_return_error, __('Error in receive your message. Please try later!')) );
}

// this frontpage uses different language text files
if( file_exists($PSZ_APP_root_dir . $PSZ_DIR_FRONTPAGE . "/$frontpage[slug]/languages") )
{
	$dirs = scandir($PSZ_APP_root_dir . $PSZ_DIR_FRONTPAGE . "/$frontpage[slug]/languages");
	$langs = array();
	foreach($dirs as $dir)
	{
		if($dir == '.' || $dir == '..' || $dir == 'index.html') continue;

		if( strpos($dir, '.php')!==FALSE )
			$langs[] = str_replace('.php', '', $dir);
	}

	foreach($PSZ_APP_LANGUAGES as $k=>$language)
	{
		$pTemplate->assign_block_vars('languages_bar', array(
			'CODE'	=> $k,
			'NAME'	=> $language,
			'SUPPORTED_LANGUAGE'	=> in_array($k, $langs) ? true : false
		));
	}

	// show current language
	$current_lang_code 	= $PSZ_APP_LANGUAGE;
	if( isset($_GET['lang']) && in_array($_GET['lang'], $langs) )
		$current_lang_code 	= $_GET['lang'];
	$pTemplate->assign_vars(array(
		'CURRENT_LANGUAGE_CODE'	=> $current_lang_code,
	));
}

// check app language
$PSZ_APP_FRONTPAGE_LANGUAGE = $PSZ_APP_LANGUAGE;
if( isset($_GET['lang']) && !empty($_GET['lang']) ) // member pick a language
{
	$PSZ_APP_FRONTPAGE_LANGUAGE = $_GET['lang'];
}
else if( isset($_COOKIE[$PSZ_APP_COOKIE_NAME.'-lang']) ) // pick from cookie
{
	$PSZ_APP_FRONTPAGE_LANGUAGE = $_COOKIE[$PSZ_APP_COOKIE_NAME.'-lang'];
}

if( file_exists($PSZ_APP_root_dir . $PSZ_DIR_FRONTPAGE . "/$frontpage[slug]/languages/$PSZ_APP_FRONTPAGE_LANGUAGE.php") )
	include_once($PSZ_APP_root_dir . $PSZ_DIR_FRONTPAGE . "/$frontpage[slug]/languages/$PSZ_APP_FRONTPAGE_LANGUAGE.php");

// process all content you would like to show to visitors

echo '<title>Defaul Sample Frontpage</title><h1 style="margin-top:25%;>Defaul Sample Frontpage</h1>';
?>